/*=======================================================================================================*/
/*      Distributed Speech Recognition                                                                   */
/*      ETSI ES 202 050 Advanced Front-End Feature Extraction Algorithm & Compression Algorithm &        */
/*      ETSI ES 202 212 Extended Advanced Front-End Feature Extraction Algorithm & Compression Algorithm */  
/*      Bit exact C-language software implementation using ETSI basic operations library                 */
/*      3GPP TS 26.243 v 6.1.0 November 2004                                                                  */
/*      ANSI C code for the Fixed-Point Distributed Speech Recognition Extended Advanced Front-end       */
/*=======================================================================================================*/
/*
***********************************************************************
*
*   PURPOSE: Header file for classify_frame function
*
**********************************************************************
*/

#include "ParmType.h"

#ifndef CLASSIFY_FRAME_H
#define CLASSIFY_FRAME_H

X_INT16 classify_frame(X_INT16 iVad,
                       X_INT16 iHangOverFlag,
                       Longword lwPitchPeriod,
                       NormSw nsFrameEnergy,
                       X_INT16 iZcm,
                       Shortword *pswUBSpeech);

X_INT16 get_zcm(Shortword *pswInpSpeech);

#endif

