/*=======================================================================================================*/
/*      Distributed Speech Recognition                                                                   */
/*      ETSI ES 202 050 Advanced Front-End Feature Extraction Algorithm & Compression Algorithm &        */
/*      ETSI ES 202 212 Extended Advanced Front-End Feature Extraction Algorithm & Compression Algorithm */  
/*      Bit exact C-language software implementation using ETSI basic operations library                 */
/*      3GPP TS 26.243 v 6.1.0 November 2004                                                                  */
/*      ANSI C code for the Fixed-Point Distributed Speech Recognition Extended Advanced Front-end       */
/*=======================================================================================================*/


/*
***********************************************************************
*
*   FUNCTION NAME:   pre_process
*
*   PURPOSE:         Header file for the pre_process function
*
**********************************************************************
*/

#include "ParmType.h"

#ifndef PRE_PROC_H
#define PRE_PROC_H

void pre_process(Shortword *pswInpSpeech,                  
                 X_INT16 iFirstFrameFlag,
                 X_INT16 iLowBandNoiseFlag,
                 Shortword *pswUBSpeech,
                 Shortword *pswDownSampledProcSpeech,
                 Shortword *pswScratch);

#endif
