/*=======================================================================================================*/
/*      Distributed Speech Recognition                                                                   */
/*      ETSI ES 202 050 Advanced Front-End Feature Extraction Algorithm & Compression Algorithm &        */
/*      ETSI ES 202 212 Extended Advanced Front-End Feature Extraction Algorithm & Compression Algorithm */  
/*      Bit exact C-language software implementation using ETSI basic operations library                 */
/*      3GPP TS 26.243 v 6.1.0 November 2004                                                                  */
/*      ANSI C code for the Fixed-Point Distributed Speech Recognition Extended Advanced Front-end       */
/*=======================================================================================================*/


#ifndef _NSEXPORTS_F_H
#define _NSEXPORTS_F_H

/* needed for 16kHz Processing DM */
#define SPEC_ORDER          65
#define twopi               (8.0*atan(1.0))

extern struct NoiseSupStructX_F *DoNoiseSupAlloc_F (void) ;
extern void             DoNoiseSupInit_F (FEParamsX_F *This) ;
extern BOOLEAN          DoNoiseSup_F (X_INT16 *InData16, X_INT32 *OutData32, FEParamsX_F *This,X_INT16 *shftOut);
extern void             DoNoiseSupDelete_F (struct NoiseSupStructX_F *NSX) ;

/*
extern int     Get_silenceVotes_FromNSX_F (NoiseSupStructX *NSX);
extern int     CGet_smothsilenceVotes_FromNSX_F (NoiseSupStructX *NSX);
extern float * CGet_reliableBands_FromNSX_F (NoiseSupStructX *NSX);
*/

/* needed for 16kHz Processing DM */
extern void           InitMelFBwindows_F (MelFB_Window * FirstWin, float StFreq, float SmplFreq, int FFTLength, int NumChannels, BOOLEAN normalize);
//extern MelFB_Window * CMelFBAlloc ();
extern void           ReleaseMelFBwindows_F (MelFB_Window *FirstWin);


#endif
