/*=======================================================================================================*/
/*      Distributed Speech Recognition                                                                   */
/*      ETSI ES 202 050 Advanced Front-End Feature Extraction Algorithm & Compression Algorithm &        */
/*      ETSI ES 202 212 Extended Advanced Front-End Feature Extraction Algorithm & Compression Algorithm */  
/*      Bit exact C-language software implementation using ETSI basic operations library                 */
/*      3GPP TS 26.243 v 6.1.0 November 2004                                                                  */
/*      ANSI C code for the Fixed-Point Distributed Speech Recognition Extended Advanced Front-end       */
/*=======================================================================================================*/

#ifndef _POSTPROCEXPORTS_B_H
#define _POSTPROCEXPORTS_B_H


#include "ParmInterface_B.h"

/* structure allocation */
extern PostProcStructX * DoPostProcAlloc_B (void);
/* Initialization of Post Processing */
extern void              DoPostProcInit_B (FEParamsX_F *This);
/* Do post proccessing for the current cepstral coefficient frame */
extern BOOLEAN           DoPostProc_B (X_INT16 *Coef, FEParamsX_F *This);
/* structure freeing */
extern void              DoPostProcDelete_B (PostProcStructX * PostProcParamX);


#endif
