/*=======================================================================================================*/
/*      Distributed Speech Recognition                                                                   */
/*      ETSI ES 202 050 Advanced Front-End Feature Extraction Algorithm & Compression Algorithm &        */
/*      ETSI ES 202 212 Extended Advanced Front-End Feature Extraction Algorithm & Compression Algorithm */  
/*      Bit exact C-language software implementation using ETSI basic operations library                 */
/*      3GPP TS 26.243 v 6.1.0 November 2004                                                                  */
/*      ANSI C code for the Fixed-Point Distributed Speech Recognition Extended Advanced Front-end       */
/*=======================================================================================================*/
/*-------------------------------------------------------------------------------
 *
 * FILE NAME: 
 *
 *    golay.h
 *
 * PURPOSE:  
 *
 *    Header file for Golay and CRC functions.
 *
 *-------------------------------------------------------------------------------*/


#ifndef TRUE
#define TRUE (1==1)
#define FALSE !TRUE
#endif

#define DATA_LEN 16

UWord16 golay_encode(UWord16 data);
Flag golay_errors(UWord16 *data, UWord16 *crc);
UWord8 mfcc_crc_encode(UWord8 data[]);
Flag mfcc_crc_errors(UWord8 data[], UWord8 crc);
#ifdef XAFE
void pc_crc_encode(UWord8 pc_data[], UWord8 pc_crc[]);
Flag pc_crc_errors(UWord8 pc_data[], UWord8 pc_crc[]);
#endif
